Subject: [quicwg/base-drafts] d2eae3: MinRTT for the congestion control context

From: Mike Bishop <[email-masked]>
Date: Tue, 21 Jan 2020 13:18:31 -0800

Branch: refs/heads/client-goaway
  Home:   https://github.com/quicwg/base-drafts
  Commit: d2eae3ff88e64a67ad605f58a6f981b14fd26739
      https://github.com/quicwg/base-drafts/commit/d2eae3ff88e64a67ad605f58a6f981b14fd26739
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  MinRTT for the congestion control context

Also explains what happens to MinRTT if the path RTT changes.

Fixes #2908

  Commit: eead856d0a445f35be1f55f0823c759a53ab9eab
      https://github.com/quicwg/base-drafts/commit/eead856d0a445f35be1f55f0823c759a53ab9eab
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix a long line

  Commit: 32ee7e524d6582a317cb4ec3ffbd23263a6040d0
      https://github.com/quicwg/base-drafts/commit/32ee7e524d6582a317cb4ec3ffbd23263a6040d0
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: f0169fe1e0568effdc7307ea1613750e70b06056
      https://github.com/quicwg/base-drafts/commit/f0169fe1e0568effdc7307ea1613750e70b06056
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 9c1e11a0221952729437f0692ca8a079b4102523
      https://github.com/quicwg/base-drafts/commit/9c1e11a0221952729437f0692ca8a079b4102523
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: c1604ae7dcaed0cd4cf624c946e5470bb887efa4
      https://github.com/quicwg/base-drafts/commit/c1604ae7dcaed0cd4cf624c946e5470bb887efa4
  Author: ianswett <[email-masked]>
  Date:   2019-07-21 (Sun, 21 Jul 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 61a3725ced92b80bd86a15ae2d625d39a31a9db3
      https://github.com/quicwg/base-drafts/commit/61a3725ced92b80bd86a15ae2d625d39a31a9db3
  Author: ianswett <[email-masked]>
  Date:   2019-10-16 (Wed, 16 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Idle timeout indicates you will timeout then

This makes idle timeout symmetric by stating that a peer will close the connection at or soon after the idle timeout expires, creating clear expectations of idle timeout behavior.

Fixes #2602 
Takes some of the improved text from #2745

  Commit: dc5b220c7e9be644223a0a0b829320256c356ea2
      https://github.com/quicwg/base-drafts/commit/dc5b220c7e9be644223a0a0b829320256c356ea2
  Author: ianswett <[email-masked]>
  Date:   2019-10-16 (Wed, 16 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: f220d9994308b4c348aa9ec79954c4256797da36
      https://github.com/quicwg/base-drafts/commit/f220d9994308b4c348aa9ec79954c4256797da36
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-17 (Thu, 17 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add retry integrity tag

  Commit: 3e9418312ad9c224063fce42da0be441acd9a7ab
      https://github.com/quicwg/base-drafts/commit/3e9418312ad9c224063fce42da0be441acd9a7ab
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-18 (Fri, 18 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  fix retry tp

  Commit: a7fa53b81c09e2031051f3dbe9e120c52f3174eb
      https://github.com/quicwg/base-drafts/commit/a7fa53b81c09e2031051f3dbe9e120c52f3174eb
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-18 (Fri, 18 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  fix retry tp

  Commit: 4aae5f258dfc27ca950b64481a433da39c3c8893
      https://github.com/quicwg/base-drafts/commit/4aae5f258dfc27ca950b64481a433da39c3c8893
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-18 (Fri, 18 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  cawood's review

  Commit: eeb4ce37462c90023a0edfc45df9442e37f49732
      https://github.com/quicwg/base-drafts/commit/eeb4ce37462c90023a0edfc45df9442e37f49732
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-21 (Mon, 21 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  MT editorial changes

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 467e31ed2e742ae6d3aff6e472fb7987d284929f
      https://github.com/quicwg/base-drafts/commit/467e31ed2e742ae6d3aff6e472fb7987d284929f
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-21 (Mon, 21 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Review suggestion from MT

  Commit: 8c45cc9e37ff1689497e844e3bf6b867138f1f95
      https://github.com/quicwg/base-drafts/commit/8c45cc9e37ff1689497e844e3bf6b867138f1f95
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-23 (Wed, 23 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Editorial fix from MikeBishop

Co-Authored-By: Mike Bishop <[email-masked]>

  Commit: c056d3063fe3ddf5ba3c31778ec4a721c15a49f3
      https://github.com/quicwg/base-drafts/commit/c056d3063fe3ddf5ba3c31778ec4a721c15a49f3
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-24 (Thu, 24 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  MT suggestions

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 739d272564a791476b75cff0a6ea258f0e4d17a8
      https://github.com/quicwg/base-drafts/commit/739d272564a791476b75cff0a6ea258f0e4d17a8
  Author: David Schinazi <[email-masked]>
  Date:   2019-10-24 (Thu, 24 Oct 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  fixup line length

  Commit: 2537a1a53d178d956f28c48994011ff51d8aac8e
      https://github.com/quicwg/base-drafts/commit/2537a1a53d178d956f28c48994011ff51d8aac8e
  Author: ianswett <[email-masked]>
  Date:   2019-10-28 (Mon, 28 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Martin's suggestion and some reordering

  Commit: 61dcaadf58bef6e9029192689d204614f3f9b082
      https://github.com/quicwg/base-drafts/commit/61dcaadf58bef6e9029192689d204614f3f9b082
  Author: ianswett <[email-masked]>
  Date:   2019-10-28 (Mon, 28 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 6fd0ac8e5df10209624fb18ac4ea90a6d93c2b94
      https://github.com/quicwg/base-drafts/commit/6fd0ac8e5df10209624fb18ac4ea90a6d93c2b94
  Author: ianswett <[email-masked]>
  Date:   2019-10-28 (Mon, 28 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: e4dd819fb3939e82c668b52076f7d89d500b8e3f
      https://github.com/quicwg/base-drafts/commit/e4dd819fb3939e82c668b52076f7d89d500b8e3f
  Author: ianswett <[email-masked]>
  Date:   2019-10-29 (Tue, 29 Oct 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Kazuho's suggestions

  Commit: 22346234eeb5e2578c44cab1ef5c3e6f85c4138e
      https://github.com/quicwg/base-drafts/commit/22346234eeb5e2578c44cab1ef5c3e6f85c4138e
  Author: ianswett <[email-masked]>
  Date:   2019-11-01 (Fri, 01 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 11d8da8732728fe0c02546fa3cb594049cc1f653
      https://github.com/quicwg/base-drafts/commit/11d8da8732728fe0c02546fa3cb594049cc1f653
  Author: ianswett <[email-masked]>
  Date:   2019-11-01 (Fri, 01 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 508413d41bb40573232797b12c1eb2f1e5d03278
      https://github.com/quicwg/base-drafts/commit/508413d41bb40573232797b12c1eb2f1e5d03278
  Author: ianswett <[email-masked]>
  Date:   2019-11-01 (Fri, 01 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: e0d76ce4795f1ee20ee16964534a3732ac8eba50
      https://github.com/quicwg/base-drafts/commit/e0d76ce4795f1ee20ee16964534a3732ac8eba50
  Author: ianswett <[email-masked]>
  Date:   2019-11-01 (Fri, 01 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: 48f04d6cb6f2b080dc75c00c88242d05d3d77c36
      https://github.com/quicwg/base-drafts/commit/48f04d6cb6f2b080dc75c00c88242d05d3d77c36
  Author: ianswett <[email-masked]>
  Date:   2019-11-01 (Fri, 01 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Martin Thomson <[email-masked]>

  Commit: a7232f126f9ab0e54d8793a9e555d5fdd7a84b01
      https://github.com/quicwg/base-drafts/commit/a7232f126f9ab0e54d8793a9e555d5fdd7a84b01
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: ec80c86716185ddc5b2836afdf6ff6908180fa12
      https://github.com/quicwg/base-drafts/commit/ec80c86716185ddc5b2836afdf6ff6908180fa12
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: cd47d621b7c5de6c7ca504d034338023a117698d
      https://github.com/quicwg/base-drafts/commit/cd47d621b7c5de6c7ca504d034338023a117698d
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 7a6d513d944900a423aa7558d92b5edc949c7a0c
      https://github.com/quicwg/base-drafts/commit/7a6d513d944900a423aa7558d92b5edc949c7a0c
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 0bfcf117ec2ea72d44e63513a0415475df48a2fe
      https://github.com/quicwg/base-drafts/commit/0bfcf117ec2ea72d44e63513a0415475df48a2fe
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 210821bf6cc4376b057d47bc5a2c2dc1fad46b11
      https://github.com/quicwg/base-drafts/commit/210821bf6cc4376b057d47bc5a2c2dc1fad46b11
  Author: ianswett <[email-masked]>
  Date:   2019-11-02 (Sat, 02 Nov 2019)

  Changed paths:
    M .circleci/config.yml
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M ietf.json

  Log Message:
  -----------
  Merge branch 'master' into ianswett-symmetric-timeout

  Commit: 07d63d916e4738f6b845da81235dbf3ddb2cf93b
      https://github.com/quicwg/base-drafts/commit/07d63d916e4738f6b845da81235dbf3ddb2cf93b
  Author: ianswett <[email-masked]>
  Date:   2019-11-03 (Sun, 03 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's comment

  Commit: 1bc2ffea476655a7501f8989415331c753de182c
      https://github.com/quicwg/base-drafts/commit/1bc2ffea476655a7501f8989415331c753de182c
  Author: ianswett <[email-masked]>
  Date:   2019-11-11 (Mon, 11 Nov 2019)

  Changed paths:
    M .circleci/config.yml
    M README.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-invariants.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    A ietf.json
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-min-rtt

  Commit: 08077e12f9f35647b59ef1b293780fce1b4cb14d
      https://github.com/quicwg/base-drafts/commit/08077e12f9f35647b59ef1b293780fce1b4cb14d
  Author: David Schinazi <[email-masked]>
  Date:   2019-11-15 (Fri, 15 Nov 2019)

  Changed paths:
    M .circleci/config.yml
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M ietf.json

  Log Message:
  -----------
  Merge branch 'master' into prot_retry

  Commit: a61c2b36de62fc10694951fcaf47dcf01633f2ae
      https://github.com/quicwg/base-drafts/commit/a61c2b36de62fc10694951fcaf47dcf01633f2ae
  Author: David Schinazi <[email-masked]>
  Date:   2019-11-15 (Fri, 15 Nov 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Comment from Christian Huitema

  Commit: 98c7e87650c7e4934dbe667334335233e3f8a415
      https://github.com/quicwg/base-drafts/commit/98c7e87650c7e4934dbe667334335233e3f8a415
  Author: David Schinazi <[email-masked]>
  Date:   2019-11-18 (Mon, 18 Nov 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  Use initial_salt instead of zero key

  Commit: e74856dad49d3a666d4a9b028d549cb48fe9187b
      https://github.com/quicwg/base-drafts/commit/e74856dad49d3a666d4a9b028d549cb48fe9187b
  Author: ianswett <[email-masked]>
  Date:   2019-11-18 (Mon, 18 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 9969af3c4f1a2696a94b3f8e3c504476bd4804f6
      https://github.com/quicwg/base-drafts/commit/9969af3c4f1a2696a94b3f8e3c504476bd4804f6
  Author: Nick Banks <[email-masked]>
  Date:   2019-11-19 (Tue, 19 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Prevent Idle Timeout while Blocked

  Commit: 581a368bb9fee7d3b72ae56d59492a0134ea4361
      https://github.com/quicwg/base-drafts/commit/581a368bb9fee7d3b72ae56d59492a0134ea4361
  Author: ianswett <[email-masked]>
  Date:   2019-11-19 (Tue, 19 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Marten's suggestion

  Commit: 875de3f37a1455793d715d481f895cfb32e33aa8
      https://github.com/quicwg/base-drafts/commit/875de3f37a1455793d715d481f895cfb32e33aa8
  Author: ianswett <[email-masked]>
  Date:   2019-11-19 (Tue, 19 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Rebuild

  Commit: 49cea64e4bc427763900b739cc85528880767913
      https://github.com/quicwg/base-drafts/commit/49cea64e4bc427763900b739cc85528880767913
  Author: Nick Banks <[email-masked]>
  Date:   2019-11-19 (Tue, 19 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestion

  Commit: bdde08d8ac2d62954dc3fb0b49322b339e5a4a5c
      https://github.com/quicwg/base-drafts/commit/bdde08d8ac2d62954dc3fb0b49322b339e5a4a5c
  Author: David Schinazi <[email-masked]>
  Date:   2019-11-20 (Wed, 20 Nov 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  make new key

  Commit: 4170f4073ffa7bbeae39acf5ef512e37cb63898b
      https://github.com/quicwg/base-drafts/commit/4170f4073ffa7bbeae39acf5ef512e37cb63898b
  Author: Nick Banks <[email-masked]>
  Date:   2019-11-20 (Wed, 20 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's suggestions

  Commit: f3e1f901ebe2d1f20bce40b350ea4a7af2c18726
      https://github.com/quicwg/base-drafts/commit/f3e1f901ebe2d1f20bce40b350ea4a7af2c18726
  Author: Nick Banks <[email-masked]>
  Date:   2019-11-20 (Wed, 20 Nov 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Jana's suggestions (2)

  Commit: 56d8e3ef95e06999de57a556264588cd65d675a9
      https://github.com/quicwg/base-drafts/commit/56d8e3ef95e06999de57a556264588cd65d675a9
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-03 (Tue, 03 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Prohibit IP fragmentation

This won't necessarily prevent fragmentation from happening, but it's
the best we can do.  I didn't REQUIRE dropping of fragments, because
some systems do that for you, but a SHOULD seems appropriate.

Closes #3243.

  Commit: 8ff17f071f05730a12049480dd9a8ffc97fb0b33
      https://github.com/quicwg/base-drafts/commit/8ff17f071f05730a12049480dd9a8ffc97fb0b33
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-05 (Thu, 05 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Remove fragmentation assembly recommendation

  Commit: 802d40f7043ea1e3dd16a0f8fadb6c9d3162c9d8
      https://github.com/quicwg/base-drafts/commit/802d40f7043ea1e3dd16a0f8fadb6c9d3162c9d8
  Author: ianswett <[email-masked]>
  Date:   2019-12-06 (Fri, 06 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Keep RFC6928 non-normative

Adds Gorry's suggestion for an editorial improvement.

  Commit: c8495ba33d09665dceb3b3a391f30f4654e4ed03
      https://github.com/quicwg/base-drafts/commit/c8495ba33d09665dceb3b3a391f30f4654e4ed03
  Author: ianswett <[email-masked]>
  Date:   2019-12-06 (Fri, 06 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: d97c226a9a2f6c147b3952b39a982cf55f12412b
      https://github.com/quicwg/base-drafts/commit/d97c226a9a2f6c147b3952b39a982cf55f12412b
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Fix congestion control permissiveness

  Commit: df57effc57901da028bd3c72a5b0d5b76ef84b02
      https://github.com/quicwg/base-drafts/commit/df57effc57901da028bd3c72a5b0d5b76ef84b02
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  remove pointless sentences

  Commit: 1de8eb4421ba5d48cf5fac71ee37bc1914e62df3
      https://github.com/quicwg/base-drafts/commit/1de8eb4421ba5d48cf5fac71ee37bc1914e62df3
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  gorry comment

  Commit: d8ad74521844f06a60f9f5fcb9cd4d133d6a0e9a
      https://github.com/quicwg/base-drafts/commit/d8ad74521844f06a60f9f5fcb9cd4d133d6a0e9a
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: ianswett <[email-masked]>

  Commit: dc62871ae0d6585eb518c6d7e5d58434922f6b94
      https://github.com/quicwg/base-drafts/commit/dc62871ae0d6585eb518c6d7e5d58434922f6b94
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  specify section 3.1

  Commit: 19063e44b6f29f1cad20f7c13179fc5e6e116638
      https://github.com/quicwg/base-drafts/commit/19063e44b6f29f1cad20f7c13179fc5e6e116638
  Author: Jana Iyengar <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Ted's suggestion

  Commit: 5ac50f30e276429c2e882be6b3906be28cb61dbf
      https://github.com/quicwg/base-drafts/commit/5ac50f30e276429c2e882be6b3906be28cb61dbf
  Author: David Schinazi <[email-masked]>
  Date:   2019-12-09 (Mon, 09 Dec 2019)

  Changed paths:
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into prot_retry

  Commit: 5ac62013d6dd9ee85e2061dc807caf192c22387e
      https://github.com/quicwg/base-drafts/commit/5ac62013d6dd9ee85e2061dc807caf192c22387e
  Author: ianswett <[email-masked]>
  Date:   2019-12-10 (Tue, 10 Dec 2019)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Swap sentence order

  Commit: 651c4e4fa66697ae35bee3b2585e65457a2e7df5
      https://github.com/quicwg/base-drafts/commit/651c4e4fa66697ae35bee3b2585e65457a2e7df5
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply editorial suggestions

  Commit: 774bc68d220a32c23054baffcfebca2d8b1c6f76
      https://github.com/quicwg/base-drafts/commit/774bc68d220a32c23054baffcfebca2d8b1c6f76
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Use idle timer more directly

  Commit: c55954007d7162b0ebbed350a421909847765b46
      https://github.com/quicwg/base-drafts/commit/c55954007d7162b0ebbed350a421909847765b46
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  wrap

  Commit: e3ea21a0ae64d7050c052d1b42d34b5ff704d031
      https://github.com/quicwg/base-drafts/commit/e3ea21a0ae64d7050c052d1b42d34b5ff704d031
  Author: Nick Banks <[email-masked]>
  Date:   2019-12-11 (Wed, 11 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Ian's suggestion

Co-Authored-By: ianswett <[email-masked]>

  Commit: 66edd7d093cf41bcd7dd9c9687c5f4c5a93530e7
      https://github.com/quicwg/base-drafts/commit/66edd7d093cf41bcd7dd9c9687c5f4c5a93530e7
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  use a HANDSHAKE_DONE frame to drive the handshake to confirmation

  Commit: 9ca34149fe35bc5e53109dd4f90a95db957cc0a1
      https://github.com/quicwg/base-drafts/commit/9ca34149fe35bc5e53109dd4f90a95db957cc0a1
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  more concise timing requirement

  Commit: b39be19c195bf92699321c9c86777517f28b3fd0
      https://github.com/quicwg/base-drafts/commit/b39be19c195bf92699321c9c86777517f28b3fd0
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  move retransmission rule for HANDSHAKE_DONE frames

  Commit: ebe9541dd51bb01ba0682e8664d0b19fc49fc630
      https://github.com/quicwg/base-drafts/commit/ebe9541dd51bb01ba0682e8664d0b19fc49fc630
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  prohibit clients from sending HANDSHAKE_DONE

  Commit: e6c341103cc1badcf35dfae8f124cb63641f2682
      https://github.com/quicwg/base-drafts/commit/e6c341103cc1badcf35dfae8f124cb63641f2682
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  apply David's suggestions, with minor modifications

  Commit: e0fef55566de670f1344c89a70ed20f727727820
      https://github.com/quicwg/base-drafts/commit/e0fef55566de670f1344c89a70ed20f727727820
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  send HANDSHAKE_DONE immediately

  Commit: 1af5969375182bfc8742d2d011f96403ab10ccc6
      https://github.com/quicwg/base-drafts/commit/1af5969375182bfc8742d2d011f96403ab10ccc6
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  apply mt's suggestion

  Commit: 793ed501a4d6f854f47a4977c2fee7fd60bd317c
      https://github.com/quicwg/base-drafts/commit/793ed501a4d6f854f47a4977c2fee7fd60bd317c
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Move alternative confirmation method

  Commit: c4041eb0eb6fd2fbf863ca4e7b746cb933986a67
      https://github.com/quicwg/base-drafts/commit/c4041eb0eb6fd2fbf863ca4e7b746cb933986a67
  Author: Martin Thomson <[email-masked]>
  Date:   2019-12-12 (Thu, 12 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Add HANDSHAKE_DONE to the table; fix anchor

  Commit: df0d32007d13b1d6748ed5d855f12a3cbca38c87
      https://github.com/quicwg/base-drafts/commit/df0d32007d13b1d6748ed5d855f12a3cbca38c87
  Author: Nick Harper <[email-masked]>
  Date:   2019-12-13 (Fri, 13 Dec 2019)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Clarify the state a client stores with a token

It is permissible for a client to do 0-RTT resumption with a NST from
one connection and a token from another. This clarifies that a client
only needs to associate a token (from a NEW_TOKEN frame) with the server
it was from and no additional state, and that a server can't require
that a token be from the same connection as the NST in use.

  Commit: cf39d12c5e0e5421522e95cf2b6543b0060b49ee
      https://github.com/quicwg/base-drafts/commit/cf39d12c5e0e5421522e95cf2b6543b0060b49ee
  Author: Marten Seemann <[email-masked]>
  Date:   2019-12-24 (Tue, 24 Dec 2019)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  apply @ianswett's suggestion

Co-Authored-By: ianswett <[email-masked]>

  Commit: 8942c8dcf8142aca28baff547d07c473b4a4304d
      https://github.com/quicwg/base-drafts/commit/8942c8dcf8142aca28baff547d07c473b4a4304d
  Author: Marten Seemann <[email-masked]>
  Date:   2020-01-01 (Wed, 01 Jan 2020)

  Changed paths:
    M draft-ietf-quic-tls.md

  Log Message:
  -----------
  apply @MikeBishop's suggestions

Co-Authored-By: Mike Bishop <[email-masked]>

  Commit: 691c21c96f7c4f364d0e80d1cc7f41a65acc0253
      https://github.com/quicwg/base-drafts/commit/691c21c96f7c4f364d0e80d1cc7f41a65acc0253
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Use path, not congestion control context

  Commit: 810bb972e7874c6d4d99f140ae5262ac7c5921f3
      https://github.com/quicwg/base-drafts/commit/810bb972e7874c6d4d99f140ae5262ac7c5921f3
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 5d9f7f215431d1f0c0056952123549d0966f08bd
      https://github.com/quicwg/base-drafts/commit/5d9f7f215431d1f0c0056952123549d0966f08bd
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-min-rtt

  Commit: a25ffdfa5a413decae02c948c1823c87ca11e98c
      https://github.com/quicwg/base-drafts/commit/a25ffdfa5a413decae02c948c1823c87ca11e98c
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 5df69d1f1ee882f8aac9da6ed136caf886ba5c91
      https://github.com/quicwg/base-drafts/commit/5df69d1f1ee882f8aac9da6ed136caf886ba5c91
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 742b7c7e1bbb5796e29902348780dd62893bc899
      https://github.com/quicwg/base-drafts/commit/742b7c7e1bbb5796e29902348780dd62893bc899
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: ce29f01d16cf897f8ee15523113329e9d2cfa386
      https://github.com/quicwg/base-drafts/commit/ce29f01d16cf897f8ee15523113329e9d2cfa386
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 676dbe63dd22f873e69f5717ac7027e1485ed3d8
      https://github.com/quicwg/base-drafts/commit/676dbe63dd22f873e69f5717ac7027e1485ed3d8
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: ee320015687ecbce52b1883e745452391c073625
      https://github.com/quicwg/base-drafts/commit/ee320015687ecbce52b1883e745452391c073625
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: 68a16ddef6622da71f7b71f96a4308bdf30e2196
      https://github.com/quicwg/base-drafts/commit/68a16ddef6622da71f7b71f96a4308bdf30e2196
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: dcc70434385bffcbbbcd741778f96c73341e676b
      https://github.com/quicwg/base-drafts/commit/dcc70434385bffcbbbcd741778f96c73341e676b
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: 623775f0663322a402bfc965db51433af3ead743
      https://github.com/quicwg/base-drafts/commit/623775f0663322a402bfc965db51433af3ead743
  Author: ianswett <[email-masked]>
  Date:   2020-01-13 (Mon, 13 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #2919 from quicwg/ianswett-min-rtt

MinRTT for the path

  Commit: 225eb36f8b120e70ab564f672d5f2fd0cea41dea
      https://github.com/quicwg/base-drafts/commit/225eb36f8b120e70ab564f672d5f2fd0cea41dea
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-14 (Tue, 14 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Unknown error codes are equivalent to NO_ERROR (#3331)

  Commit: 0c4f4d7302d0ddff338991298347f270d78ae6a6
      https://github.com/quicwg/base-drafts/commit/0c4f4d7302d0ddff338991298347f270d78ae6a6
  Author: Martin Thomson <[email-masked]>
  Date:   2020-01-14 (Tue, 14 Jan 2020)

  Changed paths:
    M draft-ietf-quic-qpack.md

  Log Message:
  -----------
  Use semi-colon instead of (see {{foo}}) (#3302)

A stylistic change primarily.

  Commit: 4615f4bfc60c84914008c6538b0b807cfa0b04d4
      https://github.com/quicwg/base-drafts/commit/4615f4bfc60c84914008c6538b0b807cfa0b04d4
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-14 (Tue, 14 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  One more changelog entry

  Commit: 5294b4053075e2c58e3ae33e165116a89f1a24f9
      https://github.com/quicwg/base-drafts/commit/5294b4053075e2c58e3ae33e165116a89f1a24f9
  Author: Martin Thomson <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Fix references to -tls

Closes #3328.

  Commit: 2ccdfe19a413cbd52fa99d0c46cd06ff7a0f6a11
      https://github.com/quicwg/base-drafts/commit/2ccdfe19a413cbd52fa99d0c46cd06ff7a0f6a11
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-15 (Wed, 15 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3342 from quicwg/fix-49-410

Fix references to key discard section of -tls

  Commit: 7cc69f50eb8492c923acc76b4cfe9a837581bad5
      https://github.com/quicwg/base-drafts/commit/7cc69f50eb8492c923acc76b4cfe9a837581bad5
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Think carefully before blowing up (#3344)

  Commit: ef45d0c28dee4b813c4a609c2d57621d54cc122b
      https://github.com/quicwg/base-drafts/commit/ef45d0c28dee4b813c4a609c2d57621d54cc122b
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3120 from DavidSchinazi/prot_retry

Add retry integrity tag

  Commit: 27f12930a45689d181cb506ddeeabe01d3fa97a4
      https://github.com/quicwg/base-drafts/commit/27f12930a45689d181cb506ddeeabe01d3fa97a4
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3248 from quicwg/jri/cc

Fix congestion control permissiveness

  Commit: 5bdcfd1d677eb2f32dbb54de990474aaf72ca437
      https://github.com/quicwg/base-drafts/commit/5bdcfd1d677eb2f32dbb54de990474aaf72ca437
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Merge pull request #3287 from quicwg/ianswett-6928-editorial

Keep RFC6928 informative

  Commit: 00093022a56800cdd74aaaf132264d10df28a05e
      https://github.com/quicwg/base-drafts/commit/00093022a56800cdd74aaaf132264d10df28a05e
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3280 from quicwg/df

Prohibit IP fragmentation

  Commit: b8124601412295bb433951c9cd19e6a059e2fba7
      https://github.com/quicwg/base-drafts/commit/b8124601412295bb433951c9cd19e6a059e2fba7
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3150 from nharper/ticket-resumption-requirements

Clarify the state a client stores with a token

  Commit: 48895d6d849a1751ea717e4a69afb1afefc478aa
      https://github.com/quicwg/base-drafts/commit/48895d6d849a1751ea717e4a69afb1afefc478aa
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-16 (Thu, 16 Jan 2020)

  Changed paths:
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3145 from marten-seemann/handshake-done

use a HANDSHAKE_DONE frame to drive the handshake to confirmation

  Commit: ed4a712044fa3c325a2dedcd2b80d507842140ac
      https://github.com/quicwg/base-drafts/commit/ed4a712044fa3c325a2dedcd2b80d507842140ac
  Author: Kazuho Oku <[email-masked]>
  Date:   2020-01-17 (Fri, 17 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  GOAWAY initiating a graceful shutdown can carry a huge stream ID (#3343)

* GOAWAY initiating a graceful shutdown can carry a huge stream ID / also talk about QUIC concepts

* apply @ianswett's suggestion

* do not assume that there's a API between QUIC and H3

* capitalize "Section"

* "currently" allowed max stream

* rearrange for better reading

* stop talking about adjusting transport behavior, nor use RFC2119 keywords

  Commit: a1b58beacd0efb45c1a13b7cd110208c105181ea
      https://github.com/quicwg/base-drafts/commit/a1b58beacd0efb45c1a13b7cd110208c105181ea
  Author: ianswett <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md

  Log Message:
  -----------
  Update draft-ietf-quic-recovery.md

  Commit: cfe4321590f623a3ba210a232cb31618e1781f9c
      https://github.com/quicwg/base-drafts/commit/cfe4321590f623a3ba210a232cb31618e1781f9c
  Author: ianswett <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Update draft-ietf-quic-transport.md

  Commit: 6b49e2e111ee66e1c0c4296dd28dbbe3202a3ebe
      https://github.com/quicwg/base-drafts/commit/6b49e2e111ee66e1c0c4296dd28dbbe3202a3ebe
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Don't specify RTT in HTTP (#3358)

* Don't specify RTT

* Do the can-can

  Commit: 5fb51fc4b85d756b1cc605212a225666fca0e6e7
      https://github.com/quicwg/base-drafts/commit/5fb51fc4b85d756b1cc605212a225666fca0e6e7
  Author: ianswett <[email-masked]>
  Date:   2020-01-20 (Mon, 20 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Apply suggestions from code review

Co-Authored-By: Jana Iyengar <[email-masked]>

  Commit: f1a7978d063164c8dfa8878205f171fe1b565792
      https://github.com/quicwg/base-drafts/commit/f1a7978d063164c8dfa8878205f171fe1b565792
  Author: Martin Thomson <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3266 from nibanks/pr/idle-blocked

Prevent Idle Timeout while Blocked

  Commit: a203af613df8318d9a328b93896af3fadbaa9367
      https://github.com/quicwg/base-drafts/commit/a203af613df8318d9a328b93896af3fadbaa9367
  Author: Martin Thomson <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M CONTRIBUTING.md
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md
    M initial-protection.js

  Log Message:
  -----------
  Merge branch 'master' into ianswett-symmetric-timeout

  Commit: 243259369ff315b1089a717f486d59e9955ecffe
      https://github.com/quicwg/base-drafts/commit/243259369ff315b1089a717f486d59e9955ecffe
  Author: Martin Thomson <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3099 from quicwg/ianswett-symmetric-timeout

Change idle_timeout to max_idle_timeout

  Commit: 956e53cf207274f9e809ff92f754113b4585391b
      https://github.com/quicwg/base-drafts/commit/956e53cf207274f9e809ff92f754113b4585391b
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Use the one true reference format (#3368)

  Commit: 396a44db9f4420d6e03158b993488e633d529d05
      https://github.com/quicwg/base-drafts/commit/396a44db9f4420d6e03158b993488e633d529d05
  Author: Jana Iyengar <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #3369 from quicwg/ianswett-out-of-order

Move out-of-order packets definition

  Commit: dc4ef85142b1a270e516806553cecb5c18bd13a4
      https://github.com/quicwg/base-drafts/commit/dc4ef85142b1a270e516806553cecb5c18bd13a4
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md

  Log Message:
  -----------
  Push association (#3359)

  Commit: d6c141ffe639ef001ac28df6f86620288833d428
      https://github.com/quicwg/base-drafts/commit/d6c141ffe639ef001ac28df6f86620288833d428
  Author: Mike Bishop <[email-masked]>
  Date:   2020-01-21 (Tue, 21 Jan 2020)

  Changed paths:
    M draft-ietf-quic-http.md
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge remote-tracking branch 'origin/master' into client-goaway

Compare: https://github.com/quicwg/base-drafts/compare/c712182e4551...d6c141ffe639